com.independentsoft.exchange

## Class TaskRecurrence

- java.lang.Object
- - com.independentsoft.exchange.TaskRecurrence

-     public class TaskRecurrence
      extends java.lang.Object

  Contains recurrence information for recurring tasks.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskRecurrence()` Initializes a new instance of the TaskRecurrence class.
    `TaskRecurrence(TaskRecurrencePattern pattern)` Initializes a new instance of the TaskRecurrence class.
    `TaskRecurrence(TaskRecurrencePattern pattern, RecurrenceRange range)` Initializes a new instance of the TaskRecurrence class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TaskRecurrencePattern` | `getPattern()` Gets the Recurrence pattern for the Task.
    `RecurrenceRange` | `getRange()` Gets the Recurrence range for the Tasks.
    `void` | `setPattern(TaskRecurrencePattern pattern)` Sets the Recurrence pattern for the Task.
    `void` | `setRange(RecurrenceRange range)` Gets the Recurrence range for the Tasks.
    `java.lang.String` | `toString()` Converts the value of the current TaskRecurrence object to its equivalent string representation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskRecurrence

          public TaskRecurrence()

      Initializes a new instance of the TaskRecurrence class.

    - #### TaskRecurrence

          public TaskRecurrence(TaskRecurrencePattern pattern)

      Initializes a new instance of the TaskRecurrence class.
      Parameters:
        `pattern` - the pattern

    - #### TaskRecurrence

          public TaskRecurrence(TaskRecurrencePattern pattern,
                                RecurrenceRange range)

      Initializes a new instance of the TaskRecurrence class.
      Parameters:
        `pattern` - the pattern
        `range` - the range

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current TaskRecurrence object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string

    - #### getPattern

          public TaskRecurrencePattern getPattern()

      Gets the Recurrence pattern for the Task.
      Returns:
        the pattern

    - #### setPattern

          public void setPattern(TaskRecurrencePattern pattern)

      Sets the Recurrence pattern for the Task.
      Parameters:
        `pattern` - the new pattern

    - #### getRange

          public RecurrenceRange getRange()

      Gets the Recurrence range for the Tasks.
      Returns:
        the range

    - #### setRange

          public void setRange(RecurrenceRange range)

      Gets the Recurrence range for the Tasks.
      Parameters:
        `range` - the new range